Index: admin/js/_posts_actions.js
===================================================================
--- admin/js/_posts_actions.js	(revision 1419)
+++ admin/js/_posts_actions.js	(revision 1035)
@@ -6,7 +6,3 @@
 		matchContains: true
 	});
-	$('#new_cat').toggleWithLegend(
-		$('#new_cat').parent().children().not('#new_cat'),
-		{} // no cookie on new category as we don't use this every day
-	);
 });
Index: admin/js/_users_actions.js
===================================================================
--- admin/js/_users_actions.js	(revision 1449)
+++ admin/js/_users_actions.js	(revision 935)
@@ -1,5 +1,4 @@
 jQuery.fn.updatePermissionsForm = function() {
 	return this.each(function() {
-		
 		var perms = {};
 		var re = /^perm\[(.+?)\]\[(.+?)\]$/;
@@ -13,5 +12,4 @@
 				continue;
 			}
-			var prop;
 			prop = e.name.match(re);
 			if (!prop) {
@@ -22,70 +20,37 @@
 			}
 			perms[prop[1]][prop[2]] = e;
-			
-			// select related permissions for admin
-			if (prop[2] == 'admin') {
-				if (e.checked) {
-					admin(e,perms,re);
+		}
+		
+		// Update elements status
+		var E;
+		for (blog in perms) {
+			for (perm in perms[blog]) {
+				E = perms[blog][perm];
+				E.onclick = function() {};
+				
+				if (perm == 'admin' && !E.disabled) {
+					perms[blog]['usage'].disabled = E.checked;
+					perms[blog]['publish'].disabled = E.checked;
+					perms[blog]['delete'].disabled = E.checked;
+					perms[blog]['contentadmin'].disabled = E.checked;
+					perms[blog]['categories'].disabled = E.checked;
+					perms[blog]['media'].disabled = E.checked;
+					perms[blog]['media_admin'].disabled = E.checked;
+					E.onclick = function() { $(this.form).updatePermissionsForm(); };
+				} else if (perm == 'contentadmin' && !E.disabled) {
+					perms[blog]['usage'].checked = E.checked;
+					perms[blog]['publish'].checked = E.checked;
+					perms[blog]['delete'].checked = E.checked;
+					perms[blog]['usage'].disabled = E.checked;
+					perms[blog]['publish'].disabled = E.checked;
+					perms[blog]['delete'].disabled = E.checked;
+					E.onclick = function() { $(this.form).updatePermissionsForm(); };
+				} else if (perm == 'media_admin' && !E.disabled) {
+					perms[blog]['media'].checked = E.checked;
+					perms[blog]['media'].disabled = E.checked;
+					E.onclick = function() { $(this.form).updatePermissionsForm(); };
 				}
-				$(e).click(function(){
-					admin(this,perms,re);
-				});
-			// select related permissions for content admin
-			} else if (prop[2] == 'contentadmin') {
-				if (e.checked) {
-					contentadmin(e,perms,re);
-				}
-				$(e).click(function(){
-					contentadmin(this,perms,re);
-				});
-			// select related permissions for media admin
-			} else if (prop[2] == 'media_admin') {
-				if (e.checked) {
-					mediaadmin(e,perms,re);
-				}
-				$(e).click(function(){
-					mediaadmin(this,perms,re);
-				});
 			}
 		}
-		
-		function admin(E,perms,re) {
-					P = E.name.match(re);
-					
-					perms[P[1]]['usage'].checked = E.checked;
-					perms[P[1]]['publish'].checked = E.checked;
-					perms[P[1]]['delete'].checked = E.checked;
-					perms[P[1]]['contentadmin'].checked = E.checked;
-					perms[P[1]]['categories'].checked = E.checked;
-					perms[P[1]]['media'].checked = E.checked;
-					perms[P[1]]['media_admin'].checked = E.checked;
-					perms[P[1]]['usage'].disabled = E.checked;
-					perms[P[1]]['publish'].disabled = E.checked;
-					perms[P[1]]['delete'].disabled = E.checked;
-					perms[P[1]]['contentadmin'].disabled = E.checked;
-					perms[P[1]]['categories'].disabled = E.checked;
-					perms[P[1]]['media'].disabled = E.checked;
-					perms[P[1]]['media_admin'].disabled = E.checked;
-		}
-		
-		function contentadmin(E,perms,re) {
-					P = E.name.match(re);
-					
-					perms[P[1]]['usage'].checked = E.checked;
-					perms[P[1]]['publish'].checked = E.checked;
-					perms[P[1]]['delete'].checked = E.checked;
-					perms[P[1]]['usage'].disabled = E.checked;
-					perms[P[1]]['publish'].disabled = E.checked;
-					perms[P[1]]['delete'].disabled = E.checked;
-		}
-		
-		function mediaadmin(E,perms,re) {
-					P = E.name.match(re);
-					
-					perms[P[1]]['media'].checked = E.checked;
-					perms[P[1]]['media'].disabled = E.checked;
-		}
-		
-		
 	});
 };
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 1395)
+++ admin/js/common.js	(revision 1303)
@@ -224,5 +224,4 @@
 				imgE.style.top = '1.7em';
 				imgE.style.left = ($(this).width()+4)+'px';
-				imgE.alt=dotclear.msg.click_to_unlock;
 				$(imgE).css('cursor','pointer');
 
Index: admin/js/prelude.js
===================================================================
--- admin/js/prelude.js	(revision 1446)
+++ admin/js/prelude.js	(revision 447)
@@ -6,6 +6,5 @@
 			aElts[i].className="hidden";
 			aElts[i].onfocus=function() {
-				$('#prelude a').removeClass('hidden');
-				$('#main-menu').css('padding-top', '4.5em');
+				this.className="";
 			}
 		}
@@ -20,7 +19,2 @@
 }
 addLoadEvent(aFocus);
-
-// init
-$(function() {
-	$('#main-menu').css('padding-top', '.5em');
-});
Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 1499)
+++ admin/langs.php	(revision 1334)
@@ -129,11 +129,12 @@
 -------------------------------------------------------- */
 dcPage::open(__('Languages management'),
-	dcPage::jsLoad('js/_langs.js'),
-	dcPage::breadcrumb(
+	dcPage::jsLoad('js/_langs.js')
+);
+
+dcPage::breadcrumb(
 	array(
 		__('System') => '',
 		'<span class="page-title">'.__('Languages management').'</span>' => ''
-	))
-);
+	));
 
 if (!empty($_GET['removed'])) {
@@ -222,15 +223,16 @@
 	
 	echo
-	'<form method="post" action="langs.php" enctype="multipart/form-data" class="fieldset">'.
-	'<h4>'.__('Available languages').'</h4>'.
+	'<form method="post" action="langs.php" enctype="multipart/form-data">'.
+	'<fieldset>'.
+	'<legend>'.__('Available languages').'</legend>'.
 	'<p>'.sprintf(__('You can download and install a additional language directly from Dotclear.net. '.
 	'Proposed languages are based on your version: %s.'),'<strong>'.DC_VERSION.'</strong>').'</p>'.
-	'<p class="field"><label for="pkg_url" class="classic">'.__('Language:').'</label> '.
-	form::combo(array('pkg_url'),$dc_langs_combo).'</p>'.
-	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label> '.
-	form::password(array('your_pwd','your_pwd1'),20,255).'</p>'.
-	'<p><input type="submit" value="'.__('Install language').'" />'.
+	'<p class="field"><label for="pkg_url" class="classic">'.__('Language:').' '.
+	form::combo(array('pkg_url'),$dc_langs_combo).'</label></p>'.
+	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+	form::password(array('your_pwd','your_pwd1'),20,255).'</label></p>'.
+	'<input type="submit" value="'.__('Install language').'" />'.
 	$core->formNonce().
-	'</p>'.
+	'</fieldset>'.
 	'</form>';
 }
@@ -240,14 +242,15 @@
 	# 'Upload language pack' form
 	echo
-	'<form method="post" action="langs.php" enctype="multipart/form-data" class="fieldset">'.
-	'<h4>'.__('Upload a zip file').'</h4>'.
+	'<form method="post" action="langs.php" enctype="multipart/form-data">'.
+	'<fieldset>'.
+	'<legend>'.__('Upload a zip file').'</legend>'.
 	'<p>'.__('You can install languages by uploading zip files.').'</p>'.
-	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Language zip file:').'</label> '.
-	'<input type="file" id="pkg_file" name="pkg_file" /></p>'.
-	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label> '.
-	form::password(array('your_pwd','your_pwd2'),20,255).'</p>'.
-	'<p><input type="submit" name="upload_pkg" value="'.__('Upload language').'" />'.
+	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Language zip file:').' '.
+	'<input type="file" id="pkg_file" name="pkg_file" /></label></p>'.
+	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+	form::password(array('your_pwd','your_pwd2'),20,255).'</label></p>'.
+	'<input type="submit" name="upload_pkg" value="'.__('Upload language').'" />'.
 	$core->formNonce().
-	'</p>'.
+	'</fieldset>'.
 	'</form>';
 }
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1499)
+++ admin/media.php	(revision 1334)
@@ -203,12 +203,12 @@
 if ($dir && !empty($_GET['remove']) && empty($_GET['noconfirm']))
 {
-	call_user_func($open_f,__('Media manager'),'',
-		dcPage::breadcrumb(
-			array(
-				html::escapeHTML($core->blog->name) => '',
-				__('Media manager') => '',
-				'<span class="page-title">'.__('confirm removal').'</span>' => ''
-			),!$popup)
-	);
+	call_user_func($open_f,__('Media manager'));
+	
+	dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Media manager') => '',
+			'<span class="page-title">'.__('confirm removal').'</span>' => ''
+		));
 	
 	echo
@@ -232,57 +232,55 @@
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
 
+call_user_func($open_f,__('Media manager'),
+	dcPage::jsLoad('js/_media.js').
+	($core_media_writable ? dcPage::jsUpload(array('d='.$d)) : '')
+	);
+
+if (!empty($_GET['mkdok'])) {
+	dcPage::message(__('Directory has been successfully created.'));
+}
+
+if (!empty($_GET['upok'])) {
+	dcPage::message(__('Files have been successfully uploaded.'));
+}
+
+if (!empty($_GET['rmfok'])) {
+	dcPage::message(__('File has been successfully removed.'));
+}
+
+if (!empty($_GET['rmdok'])) {
+	dcPage::message(__('Directory has been successfully removed.'));
+}
+
+if (!empty($_GET['rebuildok'])) {
+	dcPage::message(__('Directory has been successfully rebuilt.'));
+}
+
+if (!empty($_GET['unzipok'])) {
+	dcPage::message(__('Zip file has been successfully extracted.'));
+}
 
 if (!isset($core->media)) {
-	$breadcrumb = dcPage::breadcrumb(
+	dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
 			'<span class="page-title">'.__('Media manager').'</span>' => ''
-		),!$popup);
+		));
 } else {
-	$breadcrumb_media = $core->media->breadCrumb(html::escapeURL($page_url).'&amp;d=%s','<span class="page-title">%s</span>');
-	if ($breadcrumb_media == '') {
-		$breadcrumb = dcPage::breadcrumb(
+	$breadcrumb = $core->media->breadCrumb(html::escapeURL($page_url).'&amp;d=%s','<span class="page-title">%s</span>');
+	if ($breadcrumb == '') {
+		dcPage::breadcrumb(
 			array(
 				html::escapeHTML($core->blog->name) => '',
 				'<span class="page-title">'.__('Media manager').'</span>' => ''
-			),!$popup);
+			));
 	} else {
-		$breadcrumb = dcPage::breadcrumb(
+		dcPage::breadcrumb(
 			array(
 				html::escapeHTML($core->blog->name) => '',
 				__('Media manager') => html::escapeURL($page_url.'&d='),
-				$breadcrumb_media => ''
-			),!$popup);
-	}
-}
-
-call_user_func($open_f,__('Media manager'),
-	dcPage::jsLoad('js/_media.js').
-	($core_media_writable ? dcPage::jsUpload(array('d='.$d)) : ''),
-	$breadcrumb
-	);
-
-if (!empty($_GET['mkdok'])) {
-	dcPage::message(__('Directory has been successfully created.'));
-}
-
-if (!empty($_GET['upok'])) {
-	dcPage::message(__('Files have been successfully uploaded.'));
-}
-
-if (!empty($_GET['rmfok'])) {
-	dcPage::message(__('File has been successfully removed.'));
-}
-
-if (!empty($_GET['rmdok'])) {
-	dcPage::message(__('Directory has been successfully removed.'));
-}
-
-if (!empty($_GET['rebuildok'])) {
-	dcPage::message(__('Directory has been successfully rebuilt.'));
-}
-
-if (!empty($_GET['unzipok'])) {
-	dcPage::message(__('Zip file has been successfully extracted.'));
+				$breadcrumb => ''
+			));
+	}
 }
 
@@ -317,6 +315,6 @@
 	echo
 	'<form action="media.php" method="get">'.
-	'<p><label for="file_sort" class="classic">'.__('Sort files:').'</label> '.
-	form::combo('file_sort',$sort_combo,$file_sort).
+	'<p><label for="file_sort" class="classic">'.__('Sort files:').' '.
+	form::combo('file_sort',$sort_combo,$file_sort).'</label>'.
 	form::hidden(array('popup'),$popup).
 	form::hidden(array('post_id'),$post_id).
@@ -324,5 +322,5 @@
 	'</form>'.
 	
-	'<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
+	'<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 	
 	for ($i=$pager->index_start, $j=0; $i<=$pager->index_end; $i++, $j++)
@@ -332,5 +330,5 @@
 	
 	echo
-	'<p class="clear pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
+	'<p class="clear">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 }
 if (!isset($pager)) {
@@ -354,11 +352,10 @@
 
 	echo
-	'<div class="fieldset">'.
-	'<h3>'.__('Add files').'</h3>'.
+	'<fieldset id="add-file-f"><legend>'.__('Add files').'</legend>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
-	' <form id="fileupload" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data" aria-disabled="false">'.
-	'<p>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-	$core->formNonce().'</p>'.
-	'<div class="fileupload-ctrl"><p class="queue-message"></p><ul class="files"></ul></div>';
+	' <form id="fileupload" action="'.html::escapeURL($page_url).'" method="POST" enctype="multipart/form-data">'.
+	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
+	$core->formNonce().'</div>'.
+	'<div class="fileupload-ctrl"><div class="queue-message"></div><div class="files"></div></div>';
 
 	echo
@@ -367,12 +364,12 @@
 	echo
 	'<p class="max-sier form-note info">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>'.
-	'<p><label for="upfile">'.'<span class="add-label one-file">'.__('Choose file').'</span>'.'</label>'.
+	'<label for="upfile">'.'<span class="add-label one-file">'.__('Choose file').'</span>'.'</label>'.
 	'<button class="button add">'.__('Choose files').'</button>'.
-	'<input type="file" id="upfile" name="upfile[]"'.($user_ui_enhanceduploader?' multiple="mutiple"':'').' data-url="'.html::escapeURL($page_url).'" /></p>';
-
-	echo
-	'<p class="one-file"><label for="upfiletitle">'.__('Title:').'</label>'.form::field(array('upfiletitle','upfiletitle'),35,255).'</p>'.
-	'<p class="one-file"><label for="upfilepriv" class="classic">'.__('Private').'</label> '.
-	form::checkbox(array('upfilepriv','upfilepriv'),1).'</p>';
+	'<input type="file" id="upfile" name="upfile[]"'.($user_ui_enhanceduploader?' multiple="mutiple"':'').' data-url="'.html::escapeURL($page_url).'" />';
+
+	echo
+	'<p class="one-file"><label for="upfiletitle">'.__('Title:').form::field(array('upfiletitle','upfiletitle'),35,255).'</label></p>'.
+	'<p class="one-file"><label for="upfilepriv" class="classic">'.form::checkbox(array('upfilepriv','upfilepriv'),1).' '.
+	__('Private').'</label></p>';
 
 	if (!$user_ui_enhanceduploader) {
@@ -383,25 +380,26 @@
 
 	echo
-	'<p><button class="button clean">'.__('Refresh').'</button>'.
+	'<button class="button clean">'.__('Refresh').'</button>'.
 	'<input class="button cancel one-file" type="reset" value="'.__('Clear all').'"/>'.
-	'<input class="button start" type="submit" value="'.__('Upload').'"/></p>'.
+	'<input class="button start" type="submit" value="'.__('Upload').'"/>'.
 	'</div>';
 
 	echo
-	'<p>'.form::hidden(array('d'),$d).'</p>'.
+	'<div>'.form::hidden(array('d'),$d).'</div>'.
+	'</fieldset>'.
 	'</form>'.
-	'</div></div>';
-
+	'</div>';
+	
 	echo
 	'<div class="col">'.
-	'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post">'.
-	'<div id="new-dir-f">'.
-	'<h3>'.__('New directory').'</h3>'.
+	'<form class="clear" action="'.html::escapeURL($page_url).'" method="post">'.
+	'<fieldset id="new-dir-f">'.
+	'<legend>'.__('New directory').'</legend>'.
 	$core->formNonce().
-	'<p><label for="newdir">'.__('Directory Name:').'</label>'.
-	form::field(array('newdir','newdir'),35,255).'</p>'.
+	'<p><label for="newdir">'.__('Directory Name:').
+	form::field(array('newdir','newdir'),35,255).'</label></p>'.
 	'<p><input type="submit" value="'.__('Create').'" />'.
 	form::hidden(array('d'),html::escapeHTML($d)).'</p>'.
-	'</div>'.
+	'</fieldset>'.
 	'</form></div>';
 	
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 1499)
+++ admin/media_item.php	(revision 1334)
@@ -175,11 +175,5 @@
 	$starting_scripts.
 	dcPage::jsDatePicker().
-	dcPage::jsPageTabs($tab),
-	dcPage::breadcrumb(
-		array(
-			html::escapeHTML($core->blog->name) => '',
-			__('Media manager') => html::escapeURL($media_page_url),
-			$core->media->breadCrumb(html::escapeURL($media_page_url).'&amp;d=%s').'<span class="page-title">'.$file->basename.'</span>' => ''
-		),!$popup)
+	dcPage::jsPageTabs($tab)
 );
 
@@ -195,4 +189,11 @@
 	dcPage::message(__('Thumbnails have been successfully updated.'));
 }
+
+dcPage::breadcrumb(
+	array(
+		html::escapeHTML($core->blog->name) => '',
+		__('Media manager') => html::escapeURL($media_page_url),
+		$core->media->breadCrumb(html::escapeURL($media_page_url).'&amp;d=%s').'<span class="page-title">'.$file->basename.'</span>' => ''
+	));
 
 # Insertion popup
@@ -348,6 +349,5 @@
 
 echo
-'<div id="media-details">'.
-'<div class="near-icon">';
+'<div id="media-details">';
 
 if ($file->media_image)
@@ -358,4 +358,14 @@
 		$thumb_size = 's';
 	}
+	
+	echo '<p>'.__('Available sizes:').' ';
+	foreach (array_reverse($file->media_thumb) as $s => $v)
+	{
+		$strong_link = ($s == $thumb_size) ? '<strong>%s</strong>' : '%s';
+		printf($strong_link,'<a href="'.html::escapeURL($page_url).
+		'&amp;id='.$id.'&amp;size='.$s.'&amp;tab=media-details-tab">'.$core->media->thumb_sizes[$s][2].'</a> | ');
+	}
+	echo '<a href="'.html::escapeURL($page_url).'&amp;id='.$id.'&amp;size=o&amp;tab=media-details-tab">'.__('original').'</a>';
+	echo '</p>';
 	
 	if (isset($file->media_thumb[$thumb_size])) {
@@ -367,14 +377,4 @@
 		echo '<p id="media-original-image"'.$class.'><img src="'.$file->file_url.'?'.time()*rand().'" alt="" /></p>';
 	}
-	
-	echo '<p>'.__('Available sizes:').' ';
-	foreach (array_reverse($file->media_thumb) as $s => $v)
-	{
-		$strong_link = ($s == $thumb_size) ? '<strong>%s</strong>' : '%s';
-		printf($strong_link,'<a href="'.html::escapeURL($page_url).
-		'&amp;id='.$id.'&amp;size='.$s.'&amp;tab=media-details-tab">'.$core->media->thumb_sizes[$s][2].'</a> | ');
-	}
-	echo '<a href="'.html::escapeURL($page_url).'&amp;id='.$id.'&amp;size=o&amp;tab=media-details-tab">'.__('original').'</a>';
-	echo '</p>';
 }
 
@@ -401,5 +401,5 @@
 {
 	echo
-	'<p><strong><a class="button" href="'.html::escapeHTML($page_url).'&amp;id='.$id.'&amp;find_posts=1&amp;tab=media-details-tab">'.
+	'<p><strong><a href="'.html::escapeHTML($page_url).'&amp;id='.$id.'&amp;find_posts=1&amp;tab=media-details-tab">'.
 	__('Show entries containing this media').'</a></strong></p>';
 }
@@ -487,8 +487,4 @@
 }
 
-echo '</div>';
-
-echo '<h3>'.__('Updates and modifications').'</h3>';
-
 if ($file->editable && $core_media_writable)
 {
@@ -496,11 +492,11 @@
 	{
 		echo
-		'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post">'.
-		'<h4>'.__('Update thumbnails').'</h4>'.
+		'<form class="clear" action="'.html::escapeURL($page_url).'" method="post">'.
+		'<fieldset><legend>'.__('Update thumbnails').'</legend>'.
 		'<p>'.__('This will create or update thumbnails for this image.').'</p>'.
 		'<p><input type="submit" name="thumbs" value="'.__('Update thumbnails').'" />'.
 		form::hidden(array('id'),$id).
 		$core->formNonce().'</p>'.
-		'</form>';
+		'</fieldset></form>';
 	}
 	
@@ -513,6 +509,6 @@
 		
 		echo
-		'<form class="clear fieldset" id="file-unzip" action="'.html::escapeURL($page_url).'" method="post">'.
-		'<h4>'.__('Extract archive').'</h4>'.
+		'<form class="clear" id="file-unzip" action="'.html::escapeURL($page_url).'" method="post">'.
+		'<fieldset><legend>'.__('Extract archive').'</legend>'.
 		'<ul>'.
 		'<li><strong>'.__('Extract in a new directory').'</strong> : '.
@@ -521,33 +517,33 @@
 		__('This will extract archive in current directory and will overwrite existing files or directory.').'</li>'.
 		'</ul>'.
-		'<p><label for="inflate_mode" class="classic">'.__('Extract mode:').'</label> '.
-		form::combo('inflate_mode',$inflate_combo,'new').
+		'<p><label for="inflate_mode" class="classic">'.__('Extract mode:').' '.
+		form::combo('inflate_mode',$inflate_combo,'new').'</label> '.
 		'<input type="submit" name="unzip" value="'.__('Extract').'" />'.
 		form::hidden(array('id'),$id).
 		$core->formNonce().'</p>'.
-		'</form>';
+		'</fieldset></form>';
 	}
 	
 	echo
-	'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post">'.
-	'<h4>'.__('Change media properties').'</h4>'.
-	'<p><label for="media_file">'.__('File name:').'</label>'.
-	form::field('media_file',30,255,html::escapeHTML($file->basename)).'</p>'.
-	'<p><label for="media_title">'.__('File title:').'</label>'.
-	form::field('media_title',30,255,html::escapeHTML($file->media_title)).'</p>'.
-	'<p><label for="media_dt">'.__('File date:').'</label>'.
-	form::field('media_dt',16,16,html::escapeHTML($file->media_dtstr)).'</p>'.
+	'<form class="clear" action="'.html::escapeURL($page_url).'" method="post">'.
+	'<fieldset><legend>'.__('Change media properties').'</legend>'.
+	'<p><label for="media_file">'.__('File name:').
+	form::field('media_file',30,255,html::escapeHTML($file->basename)).'</label></p>'.
+	'<p><label for="media_title">'.__('File title:').
+	form::field('media_title',30,255,html::escapeHTML($file->media_title)).'</label></p>'.
+	'<p><label for="media_dt">'.__('File date:').
+	form::field('media_dt',16,16,html::escapeHTML($file->media_dtstr)).'</label></p>'.
 	'<p><label for="media_private" class="classic">'.form::checkbox('media_private',1,$file->media_priv).' '.
 	__('Private').'</label></p>'.
-	'<p><label for="media_path">'.__('New directory:').'</label>'.
-	form::combo('media_path',$dirs_combo,dirname($file->relname)).'</p>'.
+	'<p><label for="media_path">'.__('New directory:').
+	form::combo('media_path',$dirs_combo,dirname($file->relname)).'</label></p>'.
 	'<p><input type="submit" accesskey="s" value="'.__('Save').'" />'.
 	form::hidden(array('id'),$id).
 	$core->formNonce().'</p>'.
-	'</form>';
+	'</fieldset></form>';
 	
 	echo
-	'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
-	'<h4>'.__('Change file').'</h4>'.
+	'<form class="clear" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
+	'<fieldset><legend>'.__('Change file').'</legend>'.
 	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).'</div>'.
 	'<p><label for="upfile">'.__('Choose a file:').
@@ -558,5 +554,5 @@
 	form::hidden(array('id'),$id).
 	$core->formNonce().'</p>'.
-	'</form>';
+	'</fieldset></form>';
 
 	if ($file->del) {
Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 1358)
+++ admin/plugin.php	(revision 1334)
@@ -81,12 +81,12 @@
 else
 {
-	call_user_func($open_f,__('Plugin not found'),'',
-		dcPage::breadcrumb(
-			array(
-				__('System') => '',
-				'<span class="page-title">'.__('Plugin not found').'</span>' => ''
-			))
-	);
+	call_user_func($open_f,__('Plugin not found'));
 	
+	dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			'<span class="page-title">'.__('Plugin not found').'</span>' => ''
+		));
+
 	echo '<p>'.__('The plugin you reached does not exist or does not have an admin page.').'</p>';
 	
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1499)
+++ admin/plugins.php	(revision 1334)
@@ -191,11 +191,12 @@
 dcPage::open(__('Plugins management'),
 	dcPage::jsLoad('js/_plugins.js').
-	dcPage::jsPageTabs($default_tab),
-	dcPage::breadcrumb(
-		array(
-			__('System') => '',
-			'<span class="page-title">'.__('Plugins management').'</span>' => ''
-		))
+	dcPage::jsPageTabs($default_tab)
 );
+
+dcPage::breadcrumb(
+	array(
+		__('System') => '',
+		'<span class="page-title">'.__('Plugins management').'</span>' => ''
+	));
 
 if (!empty($_GET['removed'])) {
@@ -236,8 +237,8 @@
 
 if ($is_writable) {
-	echo '<p>'.__('To install or upgrade a plugin you generally just need to upload it '.
+	echo __('To install or upgrade a plugin you generally just need to upload it '.
 	'in "Install or upgrade a plugin" section.');
 } else {
-	echo '<p>'.__('To install or upgrade a plugin you just need to extract it in your plugins directory.');
+	echo __('To install or upgrade a plugin you just need to extract it in your plugins directory.');
 }
 echo '</p>';
@@ -354,23 +355,25 @@
 	# 'Upload plugin' form
 	echo
-	'<form method="post" action="plugins.php" id="uploadpkg" enctype="multipart/form-data" class="fieldset">'.
-	'<h3>'.__('Upload a zip file').'</h3>'.
-	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file:').'</label> '.
-	'<input type="file" id="pkg_file" name="pkg_file" /></p>'.
-	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label> '.
-	form::password(array('your_pwd','your_pwd1'),20,255).'</p>'.
-	'<p><input type="submit" name="upload_pkg" value="'.__('Upload plugin').'" />'.
+	'<form method="post" action="plugins.php" id="uploadpkg" enctype="multipart/form-data">'.
+	'<fieldset>'.
+	'<legend>'.__('Upload a zip file').'</legend>'.
+	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file:').' '.
+	'<input type="file" id="pkg_file" name="pkg_file" /></label></p>'.
+	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+	form::password(array('your_pwd','your_pwd1'),20,255).'</label></p>'.
+	'<input type="submit" name="upload_pkg" value="'.__('Upload plugin').'" />'.
 	$core->formNonce().
-	'</p>'.
+	'</fieldset>'.
 	'</form>';
 	
 	# 'Fetch plugin' form
 	echo
-	'<form method="post" action="plugins.php" id="fetchpkg" class="fieldset">'.
-	'<h3>'.__('Download a zip file').'</h3>'.
-	'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file URL:').'</label> '.
-	form::field(array('pkg_url','pkg_url'),40,255).'</p>'.
-	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label> '.
-	form::password(array('your_pwd','your_pwd2'),20,255).'</p>'.
+	'<form method="post" action="plugins.php" id="fetchpkg">'.
+	'<fieldset>'.
+	'<legend>'.__('Download a zip file').'</legend>'.
+	'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file URL:').' '.
+	form::field(array('pkg_url','pkg_url'),40,255).'</label></p>'.
+	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+	form::password(array('your_pwd','your_pwd2'),20,255).'</label></p>'.
 	'<input type="submit" name="fetch_pkg" value="'.__('Download plugin').'" />'.
 	$core->formNonce().
Index: admin/popup_link.php
===================================================================
--- admin/popup_link.php	(revision 1399)
+++ admin/popup_link.php	(revision 1179)
@@ -40,11 +40,11 @@
 echo
 '<form id="link-insert-form" action="#" method="get">'.
-'<p><label class="required" for="href"><abbr title="'.__('Required field').'">*</abbr> '.__('Link URL:').'</label> '.
-form::field('href',35,512,html::escapeHTML($href)).'</p>'.
-'<p><label for="title">'.__('Link title:').'</label> '. 
-form::field('title',35,512,html::escapeHTML($title)).'</p>'. 
-'<p><label for="hreflang">'.__('Link language:').'</label> '.
+'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Link URL:').' '.
+form::field('href',35,512,html::escapeHTML($href)).'</label></p>'.
+'<p><label>'.__('Link title:').' '. 
+form::field('title',35,512,html::escapeHTML($title)).'</label></p>'. 
+'<p><label>'.__('Link language:').' '.
 form::combo('hreflang',$lang_combo,$hreflang).
-'</p>'.
+'</label></p>'.
 
 '</form>'.
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 1399)
+++ admin/popup_posts.php	(revision 1179)
@@ -53,14 +53,14 @@
 
 echo '<form action="popup_posts.php" method="post">'.
-	'<p><label for"type" class="classic">'.__('Entry type:').'</label> '.form::combo('type',$type_combo,$type).''.
-	$core->formNonce().'</p>'.
+	'<p><label for"type" class="classic">'.__('Entry type:').' '.form::combo('type',$type_combo,$type).'</label></p>'.
+	$core->formNonce().
 	'<noscript><div><input type="submit" value="'.__('Ok').'" /></div></noscript>'.
 	'</form>';
 
 echo '<form action="popup_posts.php" method="get">'.
-	'<p><label for="q" class="classic">'.__('Search entry:').'</label> '.form::field('q',30,255,html::escapeHTML($q)).
-	' <input type="submit" value="'.__('Search').'" />'.
+	'<p><label for="q" class="classic">'.__('Search entry:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
+	' <input type="submit" value="'.__('Search').'" /></p>'.
 	form::hidden('type',html::escapeHTML($type)).
-	'</p></form>';
+	'</form>';
 
 try {
